@charset "UTF-8";
/* --------------------------------------------------
  #40e0d0 turquoise (064,224,208)
  #4ab6d0 functional turquoise (074,182,208)
  #4064b6 functional blue (064,100,182)
  #f0f8ff aliceblue (240,248,255)
  #b5d69c taster green (181,214,156)
  #ffef73 eater orange (255,239,115)
-------------------------------------------------- */

/* -----------------------
  セクション
-------------------------- */
header          { display:block; width:100%; height: 40px; background-color: aliceblue; }
footer          { display:block; width:100%; height: 35px; background-color: aliceblue; }
main            { display:block; width:100%; margin-bottom: 10px; }
section.search  { display:block; width:100%; background-color: snow; }
section.history { display:block; width:100%; background-color: snow; }
section.count   { display:block; width:100%; height: 30px; background-color: aliceblue; color:gray; }
section.results { display:block; width:100%; margin-top: 5px; }
/* -----------------------
  検索結果(用語)の表示
-------------------------- */
.result              { display: block; width: 100%; border-top: 1px solid lightgray; }
.result .entry       { display: flex; margin-top: 5px; height: 56px; }
.result .entry .no   { display: block; width: 35px; text-align: center; color: gray; }
.result .entry .word { display: block; padding-left: 5px; font-size: 1.1em; line-height: 1.2em; }
.result .entry .info { display: block; position: absolute; right: 0px; margin-right:10px; font-size: 0.8em; text-align: right; color: lightgray; }
.result .desc        { display: flex; margin-left: 40px; }
.result .desc .type  { display: block; margin-top: 2px; }
.result .desc .text  { display: block; }
@media screen and (max-width:500px){ 
.result .entry .word { display: block; padding-left: 5px; font-size: 1.1em; line-height: 1.1em; }
.result .desc        { display: flex; margin-left: 3px; }
}
.c01        { background-color: aliceblue; }		/* IEEE-CS */
.c02        { background-color: #ffef73; }			/* ITIL */
.c03        { background-color: lavender; }			/* ISTQB */
.c06        { background-color: #FFCCAA; }			/* BABOK */
.c11        { background-color: #f5f5dc; }			/* CMMI-DEV */
.c99        { background-color: lightgray; }		/* SOURCE */
.red        { color: red; }
.blue       { color: blue; }
.gray       { color: gray; }
.snow       { background-color: snow; }
.aliceblue  { background-color: aliceblue; }
.lightgray  { background-color: lightgray; }
/* -----------------------
  P,A,UL,OL
-------------------------- */
p         { padding: 5px; margin: 0px;}
p.right   { text-align: right; }
p.alert   { margin: 5px 5px 0px 20px; line-height: 1.4em; font-size: 0.9em; color: red; }
a         { color: #687ab8; text-decoration: none; }
a:link    { color: #1B6CCD; }
a:hover   { color: #0099FF; text-decoration: none; }
ul        { list-style-type: disc; }
ul.none   { list-style-type: none; }
ul.disc   { list-style-type: disc; }
ul.square { list-style-type: square; }
ul.n      { list-style-type: none; margin-left: -40px; }
li        { padding-right: 5px; }
li.none   { list-style-type: none; }
li.n      { list-style-type: disc; margin: 0px 0px 10px 0px; }
/* -----------------------
  INPUT,TEXTAREA
-------------------------- */
input[type="button"]:hover { background-color: yellow; color: red; }
input[type="submit"]:hover { background-color: yellow; color: red; }
input[type="button"] { padding: 2px 4px 2px 4px; line-height: 1.4em; border: 1px solid gray; border-radius: 5px; background-color: lavender; }
input[type="submit"] { padding: 2px 4px 2px 4px; line-height: 1.4em; border: 1px solid gray; border-radius: 5px; background-color: #FFCCAA; }
input.procbutton  { padding: 2px 10px 2px 10px; line-height: 2.2em; }
textarea[readonly]{ background-color: aliceblue; }
textarea[disabled]{ background-color: aliceblue; pointer-events: none; }
select[disabled]  { background-color: aliceblue; pointer-events: none; }
input[readonly]   { background-color: aliceblue; }
input[disabled]   { background-color: aliceblue; pointer-events: none; }
input[type="checkbox"] {
  width: 12px; height: 12px;
  margin-top: 0px; margin-right: 3px;
  vertical-align: middle;
  transform-origin: right middle;
  transform: scale( 1.2 , 1.2 );
}
input[type="radio"] {
  width: 16px; height: 16px;
  margin-top: 2px; margin-right: 3px;
  vertical-align: middle;
  transform-origin: right middle;
  transform: scale( 1.2 , 1.2);
}
/* -----------------------
  H2,H3,H4
-------------------------- */
h2 { font-size: 1.1em; margin: 0 0 10px 0; padding: 2px 10px 0 5px; border-bottom: 1px  solid #999999; border-left: 12px solid turquoise; background-color: aliceblue; }
h3 { font-size: 1.1em; margin: 0 0 10px 0; padding: 2px 10px 0 5px; border-bottom: 1px dotted #999999; color: #0033CC; }
h4 { font-size: 1.1em; margin: 0 0 10px 0; padding: 2px 10px 0 5px; border-bottom: 1px dotted #999999; color: gray; }

/* -----------------------
  TABLE,TH,TD
-------------------------- */
table,th,td { border: none; }
table.full  { vertical-align: top; border-collapse: collapse; width: 100%; }
table.w93   { width: 93%; }
table.w95   { width: 95%; }
table.w98   { width: 98%; }
table.w99   { width: 99%; }
table.s     { vertical-align: top; margin: 10px 10px 20px 10px; border: none; } 
table.n     { vertical-align: top; margin: 10px 10px 20px 10px; border: 1px solid #999999; border-collapse: collapse; }
table.s th  { border: 0px; font-size: 0.9em; line-height: 1.4em; padding: 3px; background-color: lightgray; font-weight: normal; }
table.s td  { border: 0px; font-size: 0.9em; line-height: 1.4em; padding: 3px; }
table.n th  { border: 1px solid #999999; font-size: 0.9em; line-height: 1.4em; padding: 3px; background-color: lightgray; font-weight: normal; }
table.n td  { border: 1px solid #999999; font-size: 0.9em; line-height: 1.4em; padding: 3px; }
td.n   { border: 1px solid #999999; vertical-align: top;    background-color: white; }
td.nc  { border: 1px solid #999999; vertical-align: top;    background-color: white; text-align: center; }
td.nr  { border: 1px solid #999999; vertical-align: top;    background-color: white; text-align: right; }
td.nm  { border: 1px solid #999999; vertical-align: middle; background-color: white; text-align: center; }
td.nml { border: 1px solid #999999; vertical-align: middle; background-color: white; }
td.m   { border: 1px solid #999999; vertical-align: top;    background-color: aliceblue; }
td.mc  { border: 1px solid #999999; vertical-align: top;    background-color: aliceblue; text-align: center; }
td.mr  { border: 1px solid #999999; vertical-align: top;    background-color: aliceblue; text-align: right; }
td.mm  { border: 1px solid #999999; vertical-align: middle; background-color: aliceblue; text-align: center; }
td.mml { border: 1px solid #999999; vertical-align: middle; background-color: aliceblue; }
td.g   { border: 1px solid #999999; vertical-align: top;    background-color: lightgray; }
td.gc  { border: 1px solid #999999; vertical-align: top;    background-color: lightgray; text-align: center; }
td.gr  { border: 1px solid #999999; vertical-align: top;    background-color: lightgray; text-align: right; }
td.gm  { border: 1px solid #999999; vertical-align: middle; background-color: lightgray; text-align: center; }
td.gml { border: 1px solid #999999; vertical-align: middle; background-color: lightgray; }
td.bar-green  { background-color: #b5d69c; height: 13px; }
td.bar-orange { background-color: #ffef73; height: 13px; }
td.dotted { border-top: 1px dotted #999999; }
td.vline  { border-left: 1px solid #999999; }
td.hline  { border-bottom: 1px solid #999999; }
/* -----------------------
  コード表示
-------------------------- */
span.code {
	background-color: snow; color: blue;
  font-size: 0.8em; font-family: 'Courier New';
  padding: 0px 5px 0px 5px;
}
pre.code {
  background-color: snow; color: blue;
  font-size: 0.8em; font-family: 'Courier New';
  margin: 5px 0px 5px 0px;
  width: 100%; white-space: pre-wrap;
}
/* -----------------------
  JP,EN,SS,Synのアイコン表示
-------------------------- */
.cr {
  display: inline-block;
  padding: 1px 4px 0px 4px;
  border-radius: 4px;
  width: 23px;
  vertical-align: top;
  text-align: center;
  font-size: 0.7em;
  line-height: 1.5em;
  margin: 0px 5px 5px 0px;
}
.cr-en:before  { content: "EN"; }
.cr-en         { background-color: #4ab6d0; color: white; }
.cr-jp:before  { content: "JP"; }
.cr-jp         { background-color: #4064b6; color: white; }
.cr-ss:before  { content: "SS"; }
.cr-ss         { background-color: gray; color: white; }
.cr-syn:before { content: "Syn"; }
.cr-syn        { background-color: gray; color: white; }
.cr-nengou     { background-color: #f1d9d9; color: gray; width: 50px; margin-top: 2px; }
/* ----------------------------
  出典アイコン、1文字アイコンの表示
------------------------------- */
.source     {
  display: inline-block;
  vertical-align: middle;
  padding: 1px 4px 0px 4px;
  border-radius: 3px;
  font-size: 0.6em; line-height: 1.5em;
  margin-right: 3px;
  background-color: lightgray;
  color: white;
}
.one:hover { color:red; }
.one {
  display: inline-block;
  vertical-align: middle;
  padding: 0px 5px 0px 5px;
  border-radius: 3px;
  font-size: 0.8em;
  margin-right: 4px;
  background-color: lightgray;
}
/* -----------------------
  COPYRIGHT & VERSION
-------------------------- */
.version   { font-size: 0.8em; color: gray; }
.copyright { font-size: 0.8em; color: gray; }
.copyright:before { content: "Copyright Functional Corp. All Rights Reserved."; }
/* -----------------------
  フォントサイズ
-------------------------- */
.fs-ll    { font-size: 1.2em; /* 19px 17px 特大 */ }
.fs-l     { font-size: 1.1em; /* 18px 15px 大   */ }
.fs-s     { font-size: 0.9em; /* 14px 13px 小   */ line-height: 1.4em;  }
.fs-alert { font-size: 0.9em; /* 14px 13px 小   */ line-height: 1.4em; color: red; }
.fs-ss    { font-size: 0.8em; /* 13px 11px 特小 */ line-height: 1.3em; }
/* -----------------------
  お知らせや注意の表示
-------------------------- */
.notice {
  width: 40%; float: right; margin: 0px 4px 0px 4px; padding: 4px;
  border-radius: 5px; border: 1px solid #999999;
  font-size: 0.9em; line-height: 1.3em; 
  color: red; background-color: floralwhite;
}
/* -----------------------
  Font Awesome (https://use.fontawesome.com/releases/v6.6.0/css/all.css)
-------------------------- */
.exclamation::before { /* triangle-exclamation */ content:'\f071'; padding-right:1px; font:var(--fa-font-solid); color:#1B6CCD; }
.home::before        { /* house */                content:'\f015'; padding-right:1px; font:var(--fa-font-solid); }
.book::before        { /* book */                 content:'\f02d'; padding-right:1px; font:var(--fa-font-solid); }
.bars::before        { /* bars */                 content:'\f0c9'; padding-right:1px; font:var(--fa-font-solid); }
.sitemap::before     { /* location-dot */         content:'\f3c5'; padding-right:1px; font:var(--fa-font-solid); }
.totop::before       { /* circle-arrow-up */      content:'\f0aa'; padding-right:1px; font:var(--fa-font-solid); }
.prev::before        { /* circle-arrow-left */    content:'\f0a8'; padding-right:1px; font:var(--fa-font-solid); }
.next::before        { /* circle-arrow-right */   content:'\f0a9'; padding-right:1px; font:var(--fa-font-solid); }
.forward::before     { /* circle-arrow-right */   content:'\f0a9'; padding-right:1px; font:var(--fa-font-solid); }
.contact::before     { /* envelope */             content:'\f0e0'; padding-right:1px; font:var(--fa-font-solid); }
.help::before        { /* circle-question */      content:'\f059'; padding-right:1px; font:var(--fa-font-solid); }
.incident::before    { /* circle-exclamation */   content:'\f06a'; padding-right:1px; font:var(--fa-font-solid); }
.xmark::before       { /* circle-xmark */         content:'\f057'; padding-right:1px; font:var(--fa-font-solid); }
.arrow-up::before    { /* arrow-up */             content:'\f062'; font-size: 1.2em;  font:var(--fa-font-solid); }
.chevron-up::before    { /* chevron-up */         content:'\f077'; padding-right:1px; font:var(--fa-font-solid); }
.chevron-down::before  { /* chevron-down */       content:'\f078'; padding-right:1px; font:var(--fa-font-solid); }
.chevron-left::before  { /* chevron-left */       content:'\f053'; padding-right:1px; font:var(--fa-font-solid); }
.chevron-right::before { /* chevron-right */      content:'\f054'; padding-right:1px; font:var(--fa-font-solid); }
/* -----------------------
  スクロール領域
-------------------------- */
.scrollable {
  width: 100%;
  height: 300px;	/* heightは個別に変更すること */
  overflow-x: clip;
  overflow-y: scroll;
  background-color:white;
}
/* ----------------------
 TOTOP-BTN
------------------------- */
#totop-btn { display: none; position: fixed; width: 44px; bottom: 15px; right: 5px; z-index: 600; }
#totop-btn a:hover { background-color: lavender; color: red; opacity: 0.9; border-radius: 5px; }
#totop-btn a {
  display: block; text-align: center;
  height: 30px; width: 44px;
  background-color: snow; color: #687ab8;
  opacity: 0.6; border-radius: 5px;
  padding-top: 13px; 
}
